Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
945 connectés 

  FORUM HardWare.fr
  Programmation
  Divers

  [resolu] installation framework .net 2.0 sur pocket pc

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

[resolu] installation framework .net 2.0 sur pocket pc

n°1475801
fred777888​999
Posté le 15-11-2006 à 14:24:23  profilanswer
 

:hello: all,
 
Tout est presque dit dans le titre, je cherche a installer le CF2.0 sur un pda pour faire tourner une appli developpee avec VS2005. J'ai bien telecharge ce dernier sur le site de microsoft, mais il s'agit d'un fichier MSI qui refuse de s'ouvrir via l'explorer sur le PDA (peut-etre sa version de windows est-elle trop ancienne, mais je n'ai pas le droit de la changer).
Pour info, le proc et la version de windows sur le pda sont :
intel(R) PXA250, windows 3.0.11171 (build 11178).
Qq connait-il la manip pour (essayer) de lire un MSI dans ce contexte ???
D'avance merci
Fred.
 
[edit] ajout du tag resolu [/edit]


Message édité par fred777888999 le 16-11-2006 à 09:55:22
mood
Publicité
Posté le 15-11-2006 à 14:24:23  profilanswer
 

n°1475813
MagicBuzz
Posté le 15-11-2006 à 14:34:03  profilanswer
 

en effet, il a l'air ancien ce pda. le mien qui n'est pas tout jeune est un windows 4.x :/
 
déjà, tu peux essayer de mettre le PDA sur son dock, et déployer l'appli depuis VS. Si ça marche, tu peux donc installer le CF 2.0 (y'aura plus besoin de l'installer d'ailleurs)
si ça marche pas, échappe le PDA, marche dessus, et explique au client qu'il est temps d'en changer, car il ne marche plus du tout :ange:


Message édité par MagicBuzz le 15-11-2006 à 14:34:33
n°1475825
fred777888​999
Posté le 15-11-2006 à 14:42:01  profilanswer
 

Du MB tout crache la reponse, le truc c'est que je ne te donne pas tort du tout ;)
Le probleme c'est que ma boite est specialisee dans la recup de merdes obsoletes pour faire des technos le plus recentes possibles (apparences quand tu nous tiens). On a une salle pleine d'ecran TRT et seules 3 personnes ici sur 40 ont des flats, tu vois le genre. Quand a ma machine, le simple lancement de VS2005 est tres mauvais pour mon taux de cafeine, j'ai le temps d'en boire 3 pendant que ce dernier s'ouvre. Je me doutais bien que le palm serai un zoulie bouse antique (68Mo de ram, je dois avoir plus dans ma montre a quartz) mais ils veulent quand meme s'en servir pour faire une demo (ca marchait avec la version precedente de visual... l'argument de nazes par excellence, tu veux pas nous ressortir un ZX81 parfaitement fonctionnel tant que tu y est) alors je me dois d'essayer.
Donc plz, si qq sait comment essayer de lancer un MSI sur un windows antique (si ca ne marche pas, je les enverai chier cette fois, mais j'aimerai bien que qq qui s'y connait en pocket me le confirme, je suis une quiche dans le domaine) ca me rendrait un fier service.
Sinon, leurs demos ils la feront avec un emulateur et pi basta, mais la config de ce dernier sur des portables sans l'environnement de dev et avec rien de libre au niveau ressources n'est pas triviale, enfin, on verra.
++
Fred
 
[edit] PS : c'est suite  a l'echec de deploiement direct a partir de VS que j'ai tente l'install du CF a la mano. [/edit]


Message édité par fred777888999 le 15-11-2006 à 14:44:04
n°1475842
MagicBuzz
Posté le 15-11-2006 à 14:54:22  profilanswer
 

(ok pour l'édit, me demandais si t'avais vraiment lu :D)
 
quand VS a déconné, il a dit quoi ? genre "fatal error occured in the trucmuche machin qui n'a rien à voir avec la version de windows" ou "veuillez glisser votre device dans la corbeille et en insérer un nouveau" ? :D
 
pour le premier cas, t'as encore un espoir, pour le second, il te reste plus qu'à vite installer un émulateur sur un 286, t'auras plus de chances que ça marche :D

n°1475848
fred777888​999
Posté le 15-11-2006 à 14:58:31  profilanswer
 

Un truc style 'version de windows toute pourrie et completement obsolete' (quelle surprise) attends, je relance et te donne le detail :
'le programme spécifé requiert une nouvelle version de windows sur le périphérique'.
mais j'aurai aime pouvoir lancer le MSI histoire de leur affirmer la tete haute que ca ne marchera pas en me mettant a l'abrit d'un super-bricoleux perseverant qui trouverai le hack de la mort pour faire tourner le CF sur un matos antique.

n°1475856
MagicBuzz
Posté le 15-11-2006 à 15:03:50  profilanswer
 

donc il te reste la solution de faire tomber le PDA par terre, shooter dedans en tentant de le rattapper.
 
avec un peu de pot il passe par la fenêtre du 25° étage, tombe sur le toit d'une voiture qui pile d'un coup, un camion citerne transportant du butane liquide se renverse dessus en tentant de l'éviter, epoustouflé par l'accident, un collègue qui fumaità le fenêtre fait tomber sa clope, ça embrase le gaz liquide, et hop ! plus de pda (plus de fred ni de boite non plus tu me diras :D)
 
sinon, là, j'ai pas d'idée. en fait, à la base, faudrait trouver sur le net un CF 2.0 installable "simplement", et tenter de l'installer, c'est ça ?
 
sinon, ton MSI, je pense qu'il doit tourner depuis ton PC. je pense que c'est comme pour réinstaller un windows sur un pda : tu lances l'install sur le PC, et ce dernier se démerder via activesync pour faire l'install sur le PDA.

n°1475870
fred777888​999
Posté le 15-11-2006 à 15:14:01  profilanswer
 

Oui, essaye aussi (pas le camion), mais comme le CF est installable sous windows normal, il me semble qu'il essaye de l'installer sur le poste de dev, pas le pda et qu'il gueule comme l'ane moyen because il en a deja une version complete (tu m'etonne !!!).
La version 'la plus simple' trouvee est le MSI (qui sont reconnus par windows depuis un certain temps) et je doute qu'il existe un cab du CF, mais je vais chercher quand meme un peu.
En tous cas merki pour ton aide (finalement, c'est plus rapide de te trouver la que de te contacter via mail lol).
++
Fred.

n°1475872
MagicBuzz
Posté le 15-11-2006 à 15:14:35  profilanswer
 

y sont relous les HFRiens.
moi je fais de la pub pour hfr, je fais venir fred contre vents et marrées, et hop, y'a que moi qui lui répond :o

n°1475873
MagicBuzz
Posté le 15-11-2006 à 15:15:30  profilanswer
 

je crois pas que MSI marche sur PPC.
en tout cas, j'ai CF2 sur mon phone, et je peux pas installer de msi.. que des cab ou des exe

n°1475874
MagicBuzz
Posté le 15-11-2006 à 15:15:49  profilanswer
 

sinon, t'as essayé d'installer ton MSI via l'option "installer" dans activesync ?

mood
Publicité
Posté le 15-11-2006 à 15:15:49  profilanswer
 

n°1475875
fred777888​999
Posté le 15-11-2006 à 15:16:18  profilanswer
 

:) personne n'ose surencherir quand tu mets ton grain de sel :)
Sinon il manque quand meme la possibilite de rajouter un tag 'resolu' comme sur dvp ici, ca oblige a se farcir tous les posts y compris ceux qui ont eu une reponse satisfaisante et/ou de faire moultes up pour esperer etre lu ;)

n°1475877
MagicBuzz
Posté le 15-11-2006 à 15:18:48  profilanswer
 

Habituellement, genre 0.00001% des nains posteurs du forum, on met [Résolu] dans le titre une fois que c'est résolu.
Mais bon, c'est vrai que c'est pas très souvent :D
 
T'as plus qu'à trouver Joce et le faire chier jusqu'à ce qu'il nous ponde la nouvelle feature :d

n°1475883
fred777888​999
Posté le 15-11-2006 à 15:21:59  profilanswer
 

heu, non, en fait, quand je lance le truc, il ne me propose pas le .net dans les programme 'installables' sur le PDA (une liste a cocher). et comme je n'ai pas trouve comme faire a partir d'un truc ou je ferai 'parcourir' pour lancer un msi, je suis mal barre...

n°1475886
fred777888​999
Posté le 15-11-2006 à 15:25:20  profilanswer
 

Sinon tu aurai pas un msn et qq minutes pour essayer de dialoguer en direct, ca irait plus vite pour ce genre de manips ? Of course le mien est [edit]XXXXXXXXXXXXXXXXX[/edit] (je le delete dans les 5mn apres que tu ais jete un oeil a ma reponse si toutefois tu ne te fait pas chopper par qq d'autre lol)


Message édité par fred777888999 le 15-11-2006 à 16:07:51
n°1475900
MagicBuzz
Posté le 15-11-2006 à 15:37:51  profilanswer
 

t'es hors ligne

n°1476030
juju2k
Posté le 15-11-2006 à 20:25:06  profilanswer
 

Salut !
 
Sur cette page : http://www.microsoft.com/downloads [...] layLang=fr
on peut lire : "Ce fichier à télécharger inclut une solution d'installation du fichier CAB pour les périphériques Windows Mobile 5.0 à faible mémoire."
 
Puis y'a marqué : "Ce package utilise ActiveSync 4.0 pour mettre à jour le périphérique. Assurez-vous d'ancrer votre périphérique avant d'exécuter NETCFSetupv2.msi. Si votre périphérique n'est pas ancré, ActiveSync stocke le fichier CAB jusqu'à ce que le périphérique soit ancré. Les utilisateurs n'ayant pas recours à ActiveSync peuvent exécuter les fichiers CAB qui correspondent au périphérique figurant dans le dossier d'installation directement sur le périphérique."
 
Et sinon, y'a aussi marqué ça  
"Systèmes d'exploitation pris en charge : Windows CE .NET; Windows Mobile 2003 software for Pocket PCs"
(Win CE .NET = 4.2)
 :o  
 
À+

n°1476178
MagicBuzz
Posté le 16-11-2006 à 09:30:41  profilanswer
 

c'est ce package que fred a tenté d'installer hier, et moi aussi j'ai tenté pour tester.
on a tous les deux un message sous windows : une versin plus récente est déjà installée.
 
par contre je pige pas trop, parceque dans mon cas par exemple, j'ai même pas activesync ni de connection avec mon téléphone au boulot, donc je sais pas où il a pu me trouver une version plus récente installée.
quant à fred, je vois pas plus pkoi il a ce message d'erreur :D

n°1476194
fred777888​999
Posté le 16-11-2006 à 09:54:28  profilanswer
 

Merci de la reponse.
Effectivement j'avais essaye cette soluce, mais le pda a un systeme vraiment trop antique. La manip correspond sinon exactement a ce qui est dit sur le net et a ce qu'a fait qq d'autre ici avec un PDA suffisament recent. On peut donc largement considerer le pb comme resolu, inutile de faire tourner vista sur un comodore64.
Thx pour vos efforts
Fred.

n°1476235
MagicBuzz
Posté le 16-11-2006 à 11:13:53  profilanswer
 

Tiens, toi aussi tu connais le Comodore 64 ? :D
 
Quand je pense qu'à l'époque 64 c'était pas pour "64 bits" mais "64 Ko"... Ce qui représentait l'intégralité de ma mémoire du PC :ouch: Aujourd'hui dans 64 Ko on n'arrive même pas à faire tenir une popup qui affiche un message à l'écran [:magicbuzz]  
Ca nous rajeunis pas tout ça :o


Message édité par MagicBuzz le 16-11-2006 à 11:15:20

Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Programmation
  Divers

  [resolu] installation framework .net 2.0 sur pocket pc

 

Sujets relatifs
[resolu] Valeur de pointeur en assembleur[résolu] comment récupérer le nom de la table correspondant [...]
[Resolu] JScrollPane et JTextArea[resolu] Probleme de requete sur deux tables
[C#/résolu] type template avec méthodes connues par avanceQuestion sur framework 3.0
[Résolu] Changer le "body background" en fonction de la résolution[RESOLU] PB avec les virgules et MYSQL ?!
[RESOLU] Flash et Firefox - incompatibilite selective[Résolu] Condition multiple "souple"
Plus de sujets relatifs à : [resolu] installation framework .net 2.0 sur pocket pc


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR